# cHouse Class Reference

Inheritance diagram for cHouse:

List of all members.

## Public Member Functions

| cHouse (char *szName, char *szDescription, WORD type, DWORD GUID, cLocation *pcLoc=NULL)
void | Assess (cClient *pcAssesser)
cMessage | CreatePacket ()
void | Action (cClient *who)
void | SetGUID (DWORD GUID)
void | SetOwner (DWORD ownerID)
void | SetData (WORD wModel, WORD wIcon)
void | SetIsOpen (DWORD open)

## Friends

class | cClient

## Constructor & Destructor Documentation

cHouse::cHouse | ( | char * | szName,
|  | char * | szDescription,
|  | WORD | type,
|  | DWORD | dwGUID,
|  | cLocation * | pcLoc = `NULL` |
| ) |  |  |

A constructor.

Called whenever a house object is initialized.

Handles the creation of houses.

Called whenever a house object should be initialized.

Generally, house objects reside where the house models are located in the world. By default, the houses are inaccessable (restricted client-side) by characters unless the proper house object is created.

## Member Function Documentation

void cHouse::Action | ( | cClient * | who | ) | `[virtual]`

Handles the actions of house objects.

This function is called whenever a house object is used or should perform an action.

Implements cObject.

void cHouse::Assess | ( | cClient * | pcAssesser | ) | `[virtual]`

Handles the assessment of house objects.

This function is called whenever a house object is assessed by a client. House objects are intended to be imperceptible to the client.

Returns a Game Event (0x0000F7B0) server message of type Identify Object (0x000000C9).

Reimplemented from cObject.

cMessage cHouse::CreatePacket | ( |  | ) | `[virtual]`

Handles the message sent for the creation of house objects in the world.

This function is called whenever a house object should be created in the world for a client.

Returns:
  cMessage - Returns a Create Object (0x0000F745) server message.

Implements cObject.

The documentation for this class was generated from the following files:

- E:/uas2/Server/Object.h
- E:/uas2/Server/cHouse.cpp